PhotoSPIP
Documentation et exemples

Accueil du site > Documentation > Qu’est ce que PhotoSPIP ?

Qu’est ce que PhotoSPIP ?

PhotoSPIP est un outil de traitement et demodification d’images en ligne intégré à SPIP en tant que plugin.

Il permet de :

  • modifier une image inséré dans un SPIP soit en :
    • créant un nouveau document à partir du document original ;
    • remplaçant purement et simplement le document original ;
    • créant une "version" ce document (remplace le document original dans le site mais le conserve afin de pouvoir revenir en arrière par la suite) ;
  • créer une vignette personnalisée d’un document image et de l’éditer, ou simplement éditer une vignette personnalisée associée à tout type de documents ;

Les filtres à disposition

PhotoSPIP s’appuie sur les filtres de traitement d’images de SPIP, qui sont actuellement, mise à part image_reduire, dans l’extension "Filtres Images et Couleurs". La plupart de ceux-ci sont donc intégrés dans l’interface :

Plugins nécessaires à son fonctionnement et compatibilité

Actuellement PhotoSPIP fonctionne avec les dernières versions de la branche 2.1 de SPIP.

Il nécessite plusieurs autres plugins afin de pouvoir être activé :

  • le plugin Filtres Images et Couleurs fournit en tant qu’extension depuis SPIP 2.1 regroupant la quasi totalité des filtres d’images de SPIP ;
  • le plugin médiathèque ;
  • le plugin spip-bonux pour ses boucles condition et pour ;
  • le plugin jQuery UI afin de disposer du widget "slider" dans l’interface ;
  • le plugin Palette permettant d’avoir un sélecteur de couleurs ;
  • la librairie jQuery imgAreaSelect permettant d’avoir une sélection pour le filtre de recadrage ;
  • Auteur : kent1
  • Publié le : 25/05/12

1 commentaire


  • Le 25 mars 2016 à 07:48, par spipfactory En réponse à : Qu’est ce que PhotoSPIP ?

    Bonjour,

    soit le plugin photospip d’intallé dans plugins-dist sur SPIP 3.1.1 [22913] + écran de sécurité 1.2.4 en mutualisation

    je rencontre l’erreur suivante
    Impossible d’activer le plugin ../plugins-dist/photospip

    Ce plugin nécessite la librairie jquery.imgareaselect-0.9.10 https://github.com/odyniec/imgareas...

    j’ai donc télécharger la librairie est installé celle-ci dans /lib avec les autres

    imgareaselect-0.9.10
    lib/

    que puis je faire d’autre pour éviter cette erreur ?

Qui êtes-vous ?
Ajoutez votre commentaire ici